package cc.smtweb.system.bpm.web.sys.user.party;

import cc.smtweb.framework.core.annotation.SwTable;
import cc.smtweb.framework.core.db.impl.DefaultEntity;

/**
 * Created by 1 at 2022-07-26 17:52:16
 * 实体【[机构表](SYS_PARTY)】的Entity类
 */
@SwTable("SYS_PARTY")
public class Party extends DefaultEntity {
    public static final String ENTITY_NAME = "SYS_PARTY";

    public Party() {
        super(ENTITY_NAME);
    }

    /**
     * ID
     */
    public long getId() {
        return getLong("pt_id");
    }

    /**
     * ID
     */
    public void setId(long pt_id) {
        put("pt_id", pt_id);
    }

    /**
     * 父ID
     */
    public long getParentId() {
        return getLong("pt_parent_id");
    }

    /**
     * 父ID
     */
    public void setParentId(long pt_parent_id) {
        put("pt_parent_id", pt_parent_id);
    }

    /**
     * 级次码
     */
    public String getLevelCode() {
        return getStr("pt_level_code");
    }

    /**
     * 级次码
     */
    public void setLevelCode(String pt_level_code) {
        put("pt_level_code", pt_level_code);
    }

    /**
     * 行政区划
     */
    public long getAreaId() {
        return getLong("pt_area_id");
    }

    /**
     * 行政区划
     */
    public void setAreaId(long pt_area_id) {
        put("pt_area_id", pt_area_id);
    }

    /**
     * 编码
     */
    public String getCode() {
        return getStr("pt_code");
    }

    /**
     * 编码
     */
    public void setCode(String pt_code) {
        put("pt_code", pt_code);
    }

    /**
     * 名称
     */
    public String getName() {
        return getStr("pt_name");
    }

    /**
     * 名称
     */
    public void setName(String pt_name) {
        put("pt_name", pt_name);
    }

    /**
     * 机构性质
     */
    public long getType() {
        return getLong("pt_type");
    }

    /**
     * 机构性质
     */
    public void setType(long pt_type) {
        put("pt_type", pt_type);
    }

    /**
     * 级次
     */
    public int getLevel() {
        return getInt("pt_level");
    }

    /**
     * 级次
     */
    public void setLevel(int pt_level) {
        put("pt_level", pt_level);
    }

    /**
     * 状态
     */
    public boolean isStatu() {
        return getBool("pt_statu");
    }

    /**
     * 状态
     */
    public void set(boolean pt_statu) {
        setBool("pt_statu", pt_statu);
    }

    /**
     * 联系人
     */
    public String getLinker() {
        return getStr("pt_linker");
    }

    /**
     * 联系人
     */
    public void setLinker(String pt_linker) {
        put("pt_linker", pt_linker);
    }

    /**
     * 联系方式
     */
    public String getTel() {
        return getStr("pt_tel");
    }

    /**
     * 联系方式
     */
    public void setTel(String pt_tel) {
        put("pt_tel", pt_tel);
    }

    /**
     * 地址
     */
    public String getAddr() {
        return getStr("pt_addr");
    }

    /**
     * 地址
     */
    public void setAddr(String pt_addr) {
        put("pt_addr", pt_addr);
    }

    /**
     * 经度
     */
    public long getLon() {
        return getLong("pt_lon");
    }

    /**
     * 经度
     */
    public void setLon(long pt_lon) {
        put("pt_lon", pt_lon);
    }

    /**
     * 维度
     */
    public long getLat() {
        return getLong("pt_lat");
    }

    /**
     * 维度
     */
    public void setLat(long pt_lat) {
        put("pt_lat", pt_lat);
    }

    /**
     * 备注
     */
    public String getRemark() {
        return getStr("pt_remark");
    }

    /**
     * 备注
     */
    public void setRemark(String pt_remark) {
        put("pt_remark", pt_remark);
    }
}
